Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.xensource.xenapi
Class Message.Record

    java.lang.Object
      com.xensource.xenapi.Message.Record

All Implemented Interfaces:
  Types.Record

Enclosing class:
  Message

    public static class Message.Record

extends Object
implements Types.Record

Represents all the fields in a Message

Field Summary
`String` | `body` The body of the message
`Types.Cls` | `cls` The class of the object this message is associated with
`String` | `name` The name of the message
`String` | `objUuid` The uuid of the object this message is associated with
`Long` | `priority` The message priority, 0 being low priority
`Date` | `timestamp` The time at which the message was created
`String` | `uuid` Unique identifier/object reference

Constructor Summary
`Message.Record()`

Method Summary
`Map<String,Object>` | `toMap()` Convert a message.Record to a Map
`String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### uuid

    public String uuid

  Unique identifier/object reference

### name

    public String name

  The name of the message

### priority

    public Long priority

  The message priority, 0 being low priority

### cls

    public Types.Cls cls

  The class of the object this message is associated with

### objUuid

    public String objUuid

  The uuid of the object this message is associated with

### timestamp

    public Date timestamp

  The time at which the message was created

### body

    public String body

  The body of the message

Constructor Detail

### Message.Record

    public Message.Record()

Method Detail

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

### toMap

    public Map<String,Object> toMap()

  Convert a message.Record to a Map

  Specified by:
    `toMap` in interface `Types.Record`

Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD